<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="styles.css">
    <title>Newsflash</title>
</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md"><h1>Newsflash</h1></div>
            <div class="col-md-2" id="od_popis"></div>
            <div class="col-md-2 img-fluid" id="od"></div>
        </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script>
        function obrazekdne(){
            $.getJSON('/json/obrazekdne.json')
        .done(function(data){
            let img = document.createElement("img");
            let desc = document.createElement('p');
            let velky = document.createElement("a");
            desc.innerHTML = data["popis"];
            img.setAttribute("src", data["obrazek"]);
            velky.setAttribute("id", "velky");
            velky.setAttribute("href", data["zvetseny"]);
            velky.setAttribute("target", "_blank");
            $('#od').html(velky);
            $('#od_popis').html(desc);
            $('#velky').html(img);
        });
        }
        obrazekdne();
        
        window.setInterval(obrazekdne, 1000)
    </script>
</body>
</html> 